Subject: symlink problem after applying commit 0c1fc9d

From: Kent Engström <[email-masked]>
Date: Thu, 15 Apr 2021 12:09:31 +0200

Hi,

I use a setup for testing native-comp, where I install to prefix
/opt/emacs/native-comp and then symlink as below

/opt/emacs ▶ ls -l current
lrwxrwxrwx. 1 kent kent 11 Apr 15 11:08 current -> native-comp

as I have /opt/emacs/current/bin on my $PATH.

After updating to 0c1fc9d, "* Fix native-comp startup for symliked
binary (bug#44128)" my emacs startup fails with

emacs: could not resolve realpath of "emacs": No such file or directory

Checking out the previous commit b064ddd, "Merge remote-tracking branch
'savannah/master' into native-comp" and doing a "make install"
gives me a working emacs binary again.